Package org.apache.avro.util

# Enum SchemaVisitor.SchemaVisitorAction

java.lang.Object
java.lang.Enum<SchemaVisitor.SchemaVisitorAction>
org.apache.avro.util.SchemaVisitor.SchemaVisitorAction

All Implemented Interfaces:
  `Serializable`, `Comparable<SchemaVisitor.SchemaVisitorAction>`

Enclosing interface:
  `SchemaVisitor<T>`

public static enum SchemaVisitor.SchemaVisitorAction extends Enum<SchemaVisitor.SchemaVisitorAction>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONTINUE`
continue visit.
`SKIP_SIBLINGS`
Skip visiting the siblings of this schema.
`SKIP_SUBTREE`
when returned from pre non terminal visit method the children of the non terminal are skipped. afterVisitNonTerminal for the current schema will not be invoked.
`TERMINATE`
terminate visit.

## Method Summary

Modifier and Type
Method
Description
`static SchemaVisitor.SchemaVisitorAction`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SchemaVisitor.SchemaVisitorAction[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CONTINUE

public static final SchemaVisitor.SchemaVisitorAction CONTINUE
continue visit.

### TERMINATE

public static final SchemaVisitor.SchemaVisitorAction TERMINATE
terminate visit.

### SKIP_SUBTREE

public static final SchemaVisitor.SchemaVisitorAction SKIP_SUBTREE
when returned from pre non terminal visit method the children of the non terminal are skipped. afterVisitNonTerminal for the current schema will not be invoked.

### SKIP_SIBLINGS

public static final SchemaVisitor.SchemaVisitorAction SKIP_SIBLINGS
Skip visiting the siblings of this schema.

## Method Details

### values

public static SchemaVisitor.SchemaVisitorAction[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SchemaVisitor.SchemaVisitorAction valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null